(function() {

  Components.utils.import("resource:///modules/MailUtils.js");
  Components.utils.import("resource:///modules/MailConsts.js");

  var gPrefBranch = Components.classes["@mozilla.org/preferences-service;1"]
                              .getService(Components.interfaces.nsIPrefService)
                              .getBranch(null);

  var myStateListener = {
    NotifyComposeFieldsReady: function() {
    },

    NotifyComposeBodyReady: function() {
      if (gPrefBranch.prefHasUserValue("mailnews.send_plaintext_flowed_restore")) {
        gPrefBranch.clearUserPref("mailnews.send_plaintext_flowed_restore");
        gPrefBranch.setBoolPref("mailnews.send_plaintext_flowed", true);
      }
    },

    ComposeProcessDone: function(aResult) {
    },

    SaveInFolderDone: function(folderURI) {
    }
  };

  addEventListener( "compose-window-init", function(event) {
    gMsgCompose.RegisterStateListener(myStateListener);
  }, true);
})()
